NSRSTAGE(8)

NAME
nsrstage - NetWorker save set staging command

SYNOPSIS

nsrstage
    [ -v ] [ -d ] [ -s server ] [ -b pool ] -m -S { -f file | ssid... }

nsrstage
    [ -v ] [ -s server ] -C -V volume

DESCRIPTION
The nsrstage program is used to migrate existing save sets on a manual basis. Migration is the process of moving one or more save sets between volumes. The process begins with a clone of the specific save sets to the new volume specified, followed by the deletion of cloned save set entries from the media data base, and finally the possible removal of the save sets from the original source volumes. The second and the third operations are triggered by the successful completion of the previous operation. The data is moved to new media volumes, making room for new data on the original volumes.

Migration can be onto any media type (for example, save sets on a file volume can be migrated to an optical disk). The nsrstage program does not perform simple volume migration; it migrates full save sets.

You can specify exactly which copy (clone) of a save set to use as the source. Ssee the -S option description.

OPTIONS

-b pool
    Specifies the name of the media pool to which the data should migrate. The pool may be any pool currently registered with nsrd(8). You can view values by selecting Pools from the Administration menu of nwadmin(8). If you omit this option, the cloned save sets are automatically assigned to the Default Clone pool.

-m  Performs the actual migration operation.

-s server
    Specifies a NetWorker server with save sets to migrate. See nsr(8) for a description of server selection. The default is the current system.

-v  Enables verbose operation. In this mode, additional messages are displayed about the operation of nsrstage, such as save sets that cross volumes, or save set series expansions.

-d  Deletes the input file that specifies the save set identifiers to be staged. This option must always be specified in conjunction with a -f option.

-C  Instructs nsrstage to perform a volume cleaning operation. Scans a volume for save sets with no entries in the media data base and recovers their space. You can perform this operation on file type volumes.

-S ssid
    Causes nsrstage to treat subsequent command line parameters as save set identifiers. Save set identifiers are unsigned numbers. You can find out the save set identifier of a save set using the mminfo -v command. See mminfo(8). The -S option is useful when you want to migrate individual save sets from a volume, or to migrate all save sets matching some mminfo query. The save set identifiers also specify exactly which copy of a save set to use as the source. To specify exact copies, use the ssid/cloneid format for each save set identifier. In this case, the ssid and the cloneid are unsigned numbers, separated by a single slash (/). You can find out the cloneid for a particular copy by referring to the mminfo -S report.

-f file
    Instructs nsrstage to read the save set identifiers from the file specified, instead of listing them on the command line. The values must be listed one per line in the input file. The file may be -, in which case the values are read from standard input.

-V  Specifies the name of the volume to be cleaned. This option cannot be used with -S or -m options.

EXAMPLES
Migrate save sets 1234 and 4568 to a volume in the Offsite Clone pool:
    nsrstage -b 'Offsite Clone' -m -S 1234 4567

Migrate clone instance 12345678 of save set 1234 to a volume in the Default Clone pool:
    nsrstage -m -S 1234/12345678

Migrate all save sets created since last Saturday to a volume in the Default Clone pool:
    nsrstage -m -S `mminfo -r ssid \
     -q 'savetime>last saturday'`

Recover space from volume jupiter.013:
    nsrstage -C -V jupiter.013

Only complete save sets can be migrated by nsrstage(8):

DIAGNOSTICS
The exit status is zero if all of the requested save sets migrated successfully; otherwise status is non-zero.

Several messages are printed denoting a temporary unavailability of nsrd(8) for migrating data. These are self-explanatory. In addition, you may see one of the following messages:

Adding save set series which includes ssid
    If running in verbose mode, this message prints when nsrstage notices that a requested save set is continued and requires the entire series to be migrated (even if only part of the series was specified by the command line parameters).

Cannot contact media database on server
    The media database (and probably other NetWorker services as well) on the named server is not answering queries. The server may need to be started. Or if it was just started, it needs to finish its startup checks before answering queries.

Cannot open nsrstage session with server
    This message prints when the server is not accepting migration sessions. A more detailed reason prints on the previous line.

number is not a valid save set
    The given save set identifier is not valid. Two forms are understood: simple save set identifiers and those with a cloneid specified. Simple save set are unsigned numbers. You specify the save set with the cloneid form as two unsigned numbers separated by a single slash (/).

save set number does not exist
    The given save set (from a -S save set list) does not exist. Verify your save set identifiers using mminfo(8).

save set clone number/cloneid does not exist
    You specified a specific clone of a save set, but that save has no clones with that clone identifier. Verify your save set identifiers using mminfo(8).

volume name does not exist
    The given volume (if you specified the -V option) does not exist in the media database.

waiting 30 seconds then retrying
    A temporary error occur. nsrstage automatically retries its request until the condition is cleared. For example, if all of the devices are busy saving or recovering, nsrstage cannot use these devices and must wait for two of them to become free.

Space can only be recoverd from file type devices.
    The given volume (if you specified the -V option) is not a file type volume. This message also prints after a successfull migration of data from volumes of type other than file.

SEE ALSO
nsrclone(8) nsr_getdate(3), mminfo(8), nsr(8), nsr_pool(5), nsrd(8), nsrmmd(8), nwadmin(8).